Index: /trunk/admin/themes/default/template/plugins_list.tpl
===================================================================
--- /trunk/admin/themes/default/template/plugins_list.tpl	(revision 10377)
+++ /trunk/admin/themes/default/template/plugins_list.tpl	(revision 10378)
@@ -61,6 +61,9 @@
     'fadeOut' : 200,
     'maxWidth':'250px'
-  }).click(function(){
-    return false;
+  });
+  jQuery('.plugin-restore').tipTip({
+    'delay' : 0,
+    'fadeIn' : 200,
+    'fadeOut' : 200
   });
   jQuery('.pluginMiniBoxDesc').tipTip({
@@ -69,7 +72,6 @@
     'fadeOut' : 200,
     'maxWidth':'300px', /* not effective, TipTip bug */
+    'defaultPosition':'left',
     'keepAlive':true
-  }).click(function(){
-    return false;
   });
 });
@@ -150,5 +152,5 @@
           {if $plugin.STATE == 'active'}
             <a href="{$plugin.U_ACTION}&amp;action=deactivate">{'Deactivate'|@translate}</a>
-            | <a href="{$plugin.U_ACTION}&amp;action=restore" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');">{'Restore'|@translate}</a>
+            | <a href="{$plugin.U_ACTION}&amp;action=restore" class="plugin-restore" title="{'Restore default configuration. You will lost your plugin settings!'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');">{'Restore'|@translate}</a>
 
           {elseif $plugin.STATE == 'inactive'}
@@ -187,7 +189,6 @@
     <div id="{$plugin.ID}" class="pluginMiniBox {$plugin.STATE}{if $plugin.INCOMPATIBLE} incompatible{/if}">
       <div class="pluginMiniBoxNameCell">
-        {if $plugin.INCOMPATIBLE}<a class="warning" title="{'WARNING! This plugin does not seem to be compatible with this version of Piwigo.'|@translate|@escape:'html'}"></a>{/if}
-        {$plugin.NAME}
-        <a class="pluginMiniBoxDesc" title="{if !empty($author)}{'By %s'|@translate|@sprintf:$author} | {/if}{'Version'|@translate} {$version}<br/>{$plugin.DESC|@escape:'html'}"></a>
+        {if $plugin.INCOMPATIBLE}<span class="warning" title="{'WARNING! This plugin does not seem to be compatible with this version of Piwigo.'|@translate|@escape:'html'}"></span>{/if}
+        <span class="pluginMiniBoxDesc" title="{if !empty($author)}{'By %s'|@translate|@sprintf:$author} | {/if}{'Version'|@translate} {$version}<br/>{$plugin.DESC|@escape:'html'}">{$plugin.NAME}</span>
       </div>
       <div class="pluginActions">
@@ -195,5 +196,5 @@
         {if $plugin.STATE == 'active'}
           <a href="{$plugin.U_ACTION}&amp;action=deactivate">{'Deactivate'|@translate}</a>
-          | <a href="{$plugin.U_ACTION}&amp;action=restore" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');">{'Restore'|@translate}</a>
+          | <a href="{$plugin.U_ACTION}&amp;action=restore" class="plugin-restore" title="{'Restore default configuration. You will lost all your settings !'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');">{'Restore'|@translate}</a>
 
         {elseif $plugin.STATE == 'inactive'}
Index: /trunk/admin/themes/default/theme.css
===================================================================
--- /trunk/admin/themes/default/theme.css	(revision 10377)
+++ /trunk/admin/themes/default/theme.css	(revision 10378)
@@ -946,6 +946,4 @@
 .pluginsByState .pluginMiniBox.inactive, .pluginsByState .pluginMiniBox.uninstalled {opacity:0.8;filter:alpha(opacity=80);}
 
-.pluginMiniBoxDesc{float:right;margin:0 4px 0 -20px;}
-.pluginMiniBoxDesc:after{content:url(icon/help-min.png);}
 .warning:before {content:url(icon/warning.png);vertical-align:top;}
 fieldset.pluginsByName{border:none;}
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 10377)
+++ /trunk/language/en_UK/admin.lang.php	(revision 10378)
@@ -573,4 +573,5 @@
 $lang['Resize'] = 'Resize';
 $lang['Restore'] = "Restore";
+$lang['Restore default configuration. You will lost your plugin settings!'] = "Restore default configuration. You will lost your plugin settings!";
 $lang['Results of miniaturization'] = "Miniaturization process results";
 $lang['Save order'] = "Save order";
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 10377)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 10378)
@@ -795,3 +795,8 @@
 $lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'CE GREFFON FAIT DÉSORMAIS PARTIE DU CŒUR DE PIWIGO! SUPPRIMEZ-LE.';
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'ERREUR: CE GREFFON EST MANQUANT MAIS TOUJOURS INSTALLÉ! DÉSINSTALLEZ-LE.';
+$lang['display'] = 'Afficher';
+$lang['Compact'] = "Compact";
+$lang['Complete'] = "Complet";
+$lang['Restore'] = "Restaurer";
+$lang['Restore default configuration. You will lost your plugin settings!'] = "Restaurer la configuration par défaut? Vous perdrez vos réglages personnels !";
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 10377)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 10378)
@@ -798,3 +798,4 @@
 $lang['Complete'] = "Complet";
 $lang['Restore'] = "Restaurer";
+$lang['Restore default configuration. You will lost your plugin settings!'] = "Restaurer la configuration par défaut? Vous perdrez vos réglages personnels !";
 ?>