Index: extensions/UserAdvManager/trunk/language/de_DE/help/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 10342)
+++ extensions/UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 10391)
@@ -279,3 +279,9 @@
 Die Erholung von dieser Schnittstelle wird nicht unterstützt. Verwenden Sie Tools wie phpMyAdmin.';
 // --------- End: New or revised $lang ---- from version 2.20.3
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.4
+$lang['UAM_HidePasswTitle'] = 'Passwort im Klartext in der Informations-E-Mail';
+/*TODO*/$lang['UAM_HidePasswTitle_d'] = 'Choose here if you want to display the password chosen by the visitor in the information email. If you enable the option, the password will then appear in clear text. If you disable the password will not appear at all.';
+// --------- End: New or revised $lang ---- from version 2.20.4
 ?>
Index: extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 10342)
+++ extensions/UserAdvManager/trunk/language/de_DE/plugin.lang.php	(revision 10391)
@@ -325,3 +325,8 @@
 $lang['UAM_Dump_NOK'] = 'Fehler: Backup-Datei kann nicht erstellt werden !';
 // --------- End: New or revised $lang ---- from version 2.20.3
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.4
+$lang['UAM_HidePassw'] = 'Passwort im Klartext in der Informations-E-Mail';
+// --------- End: New or revised $lang ---- from version 2.20.4
 ?>
Index: extensions/UserAdvManager/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 10342)
+++ extensions/UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 10391)
@@ -279,3 +279,9 @@
 The recovery from this interface is not supported. Use tools like phpMyAdmin.';
 // --------- End: New or revised $lang ---- from version 2.20.3
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.4
+$lang['UAM_HidePasswTitle'] = 'Password in clear text in the information email';
+$lang['UAM_HidePasswTitle_d'] = 'Choose here if you want to display the password chosen by the visitor in the information email. If you enable the option, the password will then appear in clear text. If you disable the password will not appear at all.';
+// --------- End: New or revised $lang ---- from version 2.20.4
 ?>
Index: extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 10342)
+++ extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 10391)
@@ -327,3 +327,8 @@
 $lang['UAM_Dump_NOK'] = 'Error: Unable to create backup file !';
 // --------- End: New or revised $lang ---- from version 2.20.3
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.4
+$lang['UAM_HidePassw'] = 'Password in clear text in the information email';
+// --------- End: New or revised $lang ---- from version 2.20.4
 ?>
Index: extensions/UserAdvManager/trunk/language/es_ES/help/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 10342)
+++ extensions/UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 10391)
@@ -275,3 +275,9 @@
 The recovery from this interface is not supported. Use tools like phpMyAdmin.';
 // --------- End: New or revised $lang ---- from version 2.20.3
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.4
+$lang['UAM_HidePasswTitle'] = 'Contraseña en texto claro en la información del correo electrónico';
+/*TODO*/$lang['UAM_HidePasswTitle_d'] = 'Choose here if you want to display the password chosen by the visitor in the information email. If you enable the option, the password will then appear in clear text. If you disable the password will not appear at all.';
+// --------- End: New or revised $lang ---- from version 2.20.4
 ?>
Index: extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 10342)
+++ extensions/UserAdvManager/trunk/language/es_ES/plugin.lang.php	(revision 10391)
@@ -365,3 +365,8 @@
 /*TODO*/$lang['UAM_Dump_NOK'] = 'Error: Unable to create backup file !';
 // --------- End: New or revised $lang ---- from version 2.20.3
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.4
+$lang['UAM_HidePassw'] = 'Contraseña en texto claro en la información del correo electrónico';
+// --------- End: New or revised $lang ---- from version 2.20.4
 ?>
Index: extensions/UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 10342)
+++ extensions/UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 10391)
@@ -275,3 +275,9 @@
 La restauration à partir de cette interface n\'est pas prise en charge. Utilisez des outils comme PhpMyAdmin.';
 // --------- End: New or revised $lang ---- from version 2.20.3
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.4
+$lang['UAM_HidePasswTitle'] = 'Mot de passe en clair dans le mail d\'information';
+$lang['UAM_HidePasswTitle_d'] = 'Choisissez ici si vous souhaitez faire afficher le mot de passe choisi par le visiteur dans le mail d\'information. Si vous activez l\'option, le mot de passe apparaitra alors en clair. Si vous la désactivez, le mot de passe n\'apparaitra pas du tout.';
+// --------- End: New or revised $lang ---- from version 2.20.4
 ?>
Index: extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 10342)
+++ extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 10391)
@@ -326,3 +326,8 @@
 $lang['UAM_Dump_NOK'] = 'Erreur : Impossible de créer le fichier de sauvegarde !';
 // --------- End: New or revised $lang ---- from version 2.20.3
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.4
+$lang['UAM_HidePassw'] = 'Mot de passe en clair dans le mail d\'information';
+// --------- End: New or revised $lang ---- from version 2.20.4
 ?>
Index: extensions/UserAdvManager/trunk/language/it_IT/help/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 10342)
+++ extensions/UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 10391)
@@ -266,3 +266,9 @@
 The recovery from this interface is not supported. Use tools like phpMyAdmin.';
 // --------- End: New or revised $lang ---- from version 2.20.3
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.4
+$lang['UAM_HidePasswTitle'] = 'Password in chiaro nelle informazioni e-mail';
+/*TODO*/$lang['UAM_HidePasswTitle_d'] = 'Choose here if you want to display the password chosen by the visitor in the information email. If you enable the option, the password will then appear in clear text. If you disable the password will not appear at all.';
+// --------- End: New or revised $lang ---- from version 2.20.4
 ?>
Index: extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 10342)
+++ extensions/UserAdvManager/trunk/language/it_IT/plugin.lang.php	(revision 10391)
@@ -324,3 +324,8 @@
 /*TODO*/$lang['UAM_Dump_NOK'] = 'Error: Unable to create backup file !';
 // --------- End: New or revised $lang ---- from version 2.20.3
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.4
+$lang['UAM_HidePassw'] = 'Password in chiaro nelle informazioni e-mail';
+// --------- End: New or revised $lang ---- from version 2.20.4
 ?>
Index: extensions/UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php	(revision 10342)
+++ extensions/UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php	(revision 10391)
@@ -301,3 +301,9 @@
 The recovery from this interface is not supported. Use tools like phpMyAdmin.';
 // --------- End: New or revised $lang ---- from version 2.20.3
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.4
+/*TODO*/$lang['UAM_HidePasswTitle'] = 'Password in clear text in the information email';
+/*TODO*/$lang['UAM_HidePasswTitle_d'] = 'Choose here if you want to display the password chosen by the visitor in the information email. If you enable the option, the password will then appear in clear text. If you disable the password will not appear at all.';
+// --------- End: New or revised $lang ---- from version 2.20.4
 ?>
Index: extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 10342)
+++ extensions/UserAdvManager/trunk/language/lv_LV/plugin.lang.php	(revision 10391)
@@ -362,3 +362,8 @@
 /*TODO*/$lang['UAM_Dump_NOK'] = 'Error: Unable to create backup file !';
 // --------- End: New or revised $lang ---- from version 2.20.3
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.20.4
+/*TODO*/$lang['UAM_HidePassw'] = 'Clear password in information email';
+// --------- End: New or revised $lang ---- from version 2.20.4
 ?>