Index: /extensions/NBM_Subscriber/language/lv_LV/description.txt
===================================================================
--- /extensions/NBM_Subscriber/language/lv_LV/description.txt	(revision 10396)
+++ /extensions/NBM_Subscriber/language/lv_LV/description.txt	(revision 10396)
@@ -0,0 +1,1 @@
+Dod iespēju reģistrētiem apmeklētājiem pārvaldīt savu abonementu ar paziņojumu pa pastu (NBM)
Index: /extensions/NBM_Subscriber/language/lv_LV/index.php
===================================================================
--- /extensions/NBM_Subscriber/language/lv_LV/index.php	(revision 10396)
+++ /extensions/NBM_Subscriber/language/lv_LV/index.php	(revision 10396)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/NBM_Subscriber/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/NBM_Subscriber/language/lv_LV/plugin.lang.php	(revision 10396)
+++ /extensions/NBM_Subscriber/language/lv_LV/plugin.lang.php	(revision 10396)
@@ -0,0 +1,19 @@
+<?php
+$lang['NBMS_Section'] = 'Paziņojums pa pastu';
+$lang['NBMS_Text'] = 'Pieteikties paziņojumam pa pastu';
+$lang['Yes'] = 'Jā';
+$lang['No'] = 'Nē';
+$lang['NBMS_Title'] = 'NBM Parakstītājs';
+$lang['NBMS_Infos'] = 'Kas tas ir?';
+$lang['NBMS_Infos_Text'] = 'Piwigo piedāvā divus veidus kā paziņot par izmaiņām galerijā:<br>
+- Paziņojums ar RSS, pieejams visiem lietotājiem (pat nereģistrētiem) "Notification" (paziņojumu) izvēlnē<br>
+- Pziņojums pa pastu (NBM), pieejams atikai administratoriem vai vebmasteriem, kas ir  līdzīgs jaunumiem
+<br><br>
+Šī spraudņa mērķis ir piedāvāt ikvienam <b><u>reģistrētam</u></b> apmeklētājam pašam pieteikties vai atteikties no NBM pēc paša izvēles. Lai to paveiktu, vienkārši aktivējiet spraudni (ja esat izlasījis šo ziņu, tas nozīmē, ka to jau esat paveicis), un ieraudzīsiet jaunu opciju apmeklētāja profilā.
+<br><br>
+<b>Svarīgi</b> : Ja apmeklētāj, izmantojot šo, piesakās vai atsakās no NBM , no galerijas netiks nosūtīts e-pasta apstiprinājums, kā to darba administrators, izmantojot administratora paneli. Šī darbība ir paredzēta, lai izvairītos no dažu apmeklētāju negatīvas uzvedības, kas varētu novest pie no galerijas sūtītā e-pasta pārslodzes.
+<br><br>
+Piezīme: Šis spraudnis neatbalsta apmeklētāju informēšanu par šīs jaunās opcijas pieejamību. Jums, Administratoram / Vebmasteram, jāveic informācijas izvietošanu mēdijos. Šim nolūkam atbilstošs ir spraudnis PWG_Stuffs (PWG_Produkti);-)';
+$lang['NBMS_Support'] = 'Atbalsts un info par šo spraudni pieejama tikai Piwigo forumā:<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=16020" onclick="window.open(this.href);return false;">Forums angļu valodā - http://piwigo.org/forum/viewtopic.php?id=16020</a>';
+?>