Index: /trunk/language/sv_SE/common.lang.php
===================================================================
--- /trunk/language/sv_SE/common.lang.php	(revision 10399)
+++ /trunk/language/sv_SE/common.lang.php	(revision 10400)
@@ -23,5 +23,5 @@
 /*
 Language Name: Svenska [SE]
-Version: 2.3.0
+Version: 2.2.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=451
 Author: Piwigo team
@@ -29,4 +29,5 @@
 */
 
+// Langage informations
 // Langage informations
 $lang_info['language_name'] = 'Swedish';
@@ -37,5 +38,5 @@
 
 $lang['useful when password forgotten'] = 'är användbart om du glömt lösenordet';
-$lang['Quick search'] = 'Snabb sökning';
+$lang['Quick search'] = 'Snabbsökning';
 $lang['Connected user: %s'] = 'Anslutna användare: %s';
 $lang['IP: %s'] = 'IP: %s';
@@ -48,18 +49,18 @@
 $lang['Admin: %s'] = 'Admin: %s';
 $lang['Registration of %s'] = 'Registrering av %s';
-$lang['Album: %s'] = 'Kategori: %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'dålig status för användare \"gäst\", default status kommer används Vanligen meddela webmastern..';
+$lang['Album: %s'] = 'Album: %s';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'dålig status för användare \"gäst\", default status kommer användas. Vänligen meddela webmastern.';
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administratör, webmaster och speciell användare kan inte använda denna metod';
-$lang['this email address is already in use'] = 'annan användare använder redan denna e-post';
-$lang['Album results for'] = 'Kategori resultat för';
-$lang['Tag results for'] = 'Tag Resultat för';
+$lang['this email address is already in use'] = 'en annan användare använder redan denna e-post';
+$lang['Album results for'] = 'Albumresultat för';
+$lang['Tag results for'] = 'Tagg-resultat för';
 $lang['from %s to %s'] = 'från %s till %s';
-$lang['Play of slideshow'] = 'Spela bild spel';
-$lang['Pause of slideshow'] = 'Pausa bild spel';
-$lang['Repeat the slideshow'] = 'Upprepa bild spel';
-$lang['Not repeat the slideshow'] = 'Upprepa inte bild spel';
-$lang['Reduce diaporama speed'] = 'Minska bild spel hastighet';
-$lang['Accelerate diaporama speed'] = 'Öka bild spel hastighet';
-$lang['Submit'] = 'skicka';
+$lang['Play of slideshow'] = 'Spela bildspel';
+$lang['Pause of slideshow'] = 'Pausa bildspel';
+$lang['Repeat the slideshow'] = 'Upprepa bildspel';
+$lang['Not repeat the slideshow'] = 'Upprepa inte bildspel';
+$lang['Reduce diaporama speed'] = 'Minska bildspelshastighet';
+$lang['Accelerate diaporama speed'] = 'Öka bildspelshastighet';
+$lang['Submit'] = 'Skicka';
 $lang['Yes'] = 'Ja';
 $lang['No'] = 'Nej';
@@ -67,21 +68,21 @@
 $lang['%d photos'] = '%d bilder';
 $lang['%d photo is also linked to current tags'] = '%d bilden är också kopplad till nuvarande taggar';
-$lang['%d photos are also linked to current tags'] = '%d bilden är också kopplade till nuvarande taggar';
-$lang['display photos linked to this tag'] = 'Se bilder kopplade till den här taggen bara';
-$lang['photos posted during the last %d days'] = 'bilder postade under de sista %d dagarna';
-$lang['Piwigo Help'] = 'Piwigo hjälp';
+$lang['%d photos are also linked to current tags'] = '%d bilder är också kopplade till nuvarande taggar';
+$lang['display photos linked to this tag'] = 'se bilder kopplade till den här taggen bara';
+$lang['photos posted during the last %d days'] = 'bilder postade under de senaste %d dagarna';
+$lang['Piwigo Help'] = 'Piwigo Hjälp';
 $lang['Rank'] = 'Rang';
-$lang['group by letters'] = 'grupp av bokstäver';
+$lang['group by letters'] = 'gruppera på bokstäver';
 $lang['letters'] = 'bokstäver';
-$lang['show tag cloud'] = 'Visa moln etiketter';
+$lang['show tag cloud'] = 'Visa tagg-moln';
 $lang['cloud'] = 'moln';
 $lang['Reset to default values'] = 'Återställ till standardvärden';
 $lang['delete all photos from your favorites'] = 'radera alla bilder från dina favoriter';
 $lang['Sent by'] = 'Skickat av';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies är blockerade eller inte stöds av din Webbläsare Du måste aktivera cookies för att logga in..';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies är blockerade eller stöds inte av din webbläsare. Du måste aktivera cookies för att ansluta.';
 $lang['%d new comment'] = '%d ny kommentar';
 $lang['%d new comments'] = '%d nya kommentarer';
 $lang['%d comment'] = '%d kommentar';
-$lang['%d comments'] = '%d nya kommentarer';
+$lang['%d comments'] = '%d kommentarer';
 $lang['%d hit'] = '%d träff';
 $lang['%d hits'] = '%d träffar';
@@ -92,95 +93,95 @@
 $lang['About'] = 'Om';
 $lang['All tags'] = 'Alla taggar';
-$lang['Any tag'] = 'Någon tag';
-$lang['At least one listed rule must be satisfied.'] = 'Minst ett listade kriterium uppfyllas.';
-$lang['At least one tag must match'] = 'Minst ett listade kriterium uppfyllas';
+$lang['Any tag'] = 'Någon tagg';
+$lang['At least one listed rule must be satisfied.'] = 'Minst ett kriterium måste uppfyllas.';
+$lang['At least one tag must match'] = 'Minst en tagg måste matcha';
 $lang['Author'] = 'Fotograf';
-$lang['Average rate'] = 'Genomsnittlig';
-$lang['Albums'] = 'kategorier';
-$lang['Album'] = 'kategori';
+$lang['Average rate'] = 'Genomsnittligt betyg';
+$lang['Albums'] = 'Album';
+$lang['Album'] = 'Album';
 $lang['Close this window'] = 'Stäng detta fönster';
 $lang['Complete RSS feed (photos, comments)'] = 'Komplett RSS-flöde (bilder, kommentarer)';
 $lang['Confirm Password'] = 'Bekräfta lösenord';
 $lang['Connection settings'] = 'Inställningar för anslutning';
-$lang['Login'] = 'logga in';
+$lang['Login'] = 'Logga in';
 $lang['Contact webmaster'] = 'Kontakta webmaster';
 $lang['Create a new account'] = 'Skapa ett nytt konto';
 $lang['Created on'] = 'Skapad den';
-$lang['Creation date'] = 'Skapad datum';
+$lang['Creation date'] = 'Skapelsedatum';
 $lang['Current password is wrong'] = 'Nuvarande lösenord är fel';
-$lang['Dimensions'] = 'dimension';
+$lang['Dimensions'] = 'Dimensioner';
 $lang['Display'] = 'Visa';
-$lang['Each listed rule must be satisfied.'] = 'Varje kriteria måste vara uppfyllda.';
+$lang['Each listed rule must be satisfied.'] = 'Varje kriterie måste vara uppfyllt.';
 $lang['Email address'] = 'E-postadress';
-$lang['Enter your personnal informations'] = 'Ange dina personliga info';
-$lang['Error sending email'] = 'Fel när du skickar e-post';
+$lang['Enter your personnal informations'] = 'Ange personlig info';
+$lang['Error sending email'] = 'Fel vid sändning av e-post';
 $lang['File name'] = 'Filnamn';
 $lang['File'] = 'Fil';
-$lang['Filesize'] = 'Fil storlek';
+$lang['Filesize'] = 'Filstorlek';
 $lang['Filter and display'] = 'Filtrera och visa';
-$lang['Filter'] = 'Filter';
+$lang['Filter'] = 'Filtrera';
 $lang['Forgot your password?'] = 'Har du glömt lösenordet?';
 $lang['Go through the gallery as a visitor'] = 'Navigera galleriet som en besökare';
 $lang['Help'] = 'Hjälp';
 $lang['Identification'] = 'Identifiering';
-$lang['Photos only RSS feed'] = 'Endast bilder RSS-flöde';
-$lang['Keyword'] = 'sökord';
-$lang['Links'] = 'sökord';
+$lang['Photos only RSS feed'] = 'RSS-flöde med endast bilder';
+$lang['Keyword'] = 'Sökord';
+$lang['Links'] = 'Länkar';
 $lang['New password confirmation does not correspond'] = 'Nytt lösenord matchar inte';
-$lang['New password sent by email'] = 'Nytt lösenord skickas med e-post';
-$lang['No email address'] = 'Inga e-post adresser';
+$lang['New password sent by email'] = 'Nytt lösenord skickat med e-post';
+$lang['No email address'] = 'Ingen e-postadress';
 $lang['No classic user matches this email address'] = 'Ingen träff på e-postadressen';
-$lang['Notification'] = 'Meddelande';
+$lang['Notification'] = 'RSS';
 $lang['Number of items'] = 'Antal artiklar';
-$lang['Original dimensions'] = 'Original storlek';
+$lang['Original dimensions'] = 'Originalstorlek';
 $lang['Password forgotten'] = 'Glömt lösenord';
 $lang['Password'] = 'Lösenord';
-$lang['Post date'] = 'Post datum';
-$lang['Posted on'] = 'Inlagd den';
+$lang['Post date'] = 'Publiceringsdatum';
+$lang['Posted on'] = 'Publicerad den';
 $lang['Profile'] = 'Profil';
-$lang['Quick connect'] = 'Snabb kontakt';
-$lang['RSS feed'] = 'RSS flöde';
-$lang['Rate'] = 'Betyg sätt';
+$lang['Quick connect'] = 'Snabblogin';
+$lang['RSS feed'] = 'RSS-flöde';
+$lang['Rate'] = 'Betygsätt';
 $lang['Register'] = 'Registrera';
-$lang['Registration'] = 'registrering';
+$lang['Registration'] = 'Registrering';
 $lang['Related tags'] = 'Relaterade taggar';
 $lang['Reset'] = 'Återställ';
 $lang['Retrieve password'] = 'Hämta lösenord';
-$lang['Search rules'] = 'Sök kriterier';
-$lang['Search tags'] = 'Sök tags';
+$lang['Search rules'] = 'Sökkriterier';
+$lang['Search tags'] = 'Sök taggar';
 $lang['Search'] = 'Sök';
-$lang['display available tags'] = 'Se tillgängliga taggar';
+$lang['display available tags'] = 'visa tillgängliga taggar';
 $lang['Send new password'] = 'Skicka nytt lösenord';
-$lang['Since'] = 'sedan';
+$lang['Since'] = 'Sedan';
 $lang['Sort by'] = 'Sortera efter';
 $lang['Sort order'] = 'Sorteringsordning';
 $lang['Tag'] = 'Tagg';
 $lang['Tags'] = 'Taggar';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'Den RSS-flöde ger information om nya händelser från denna webbplats: nya bilder, upp daterad kategorier, nya kommentarer. Användas med en RSS-läsare.';
-$lang['Unknown feed identifier'] = 'Okänt Rss-flöde';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS-flödet ger information om nya händelser från denna webbplats: nya bilder, uppdaterade album och nya kommentarer. Används med en RSS-läsare.';
+$lang['Unknown feed identifier'] = 'Okänt RSS-flöde';
 $lang['User comments'] = 'Kommentarer';
 $lang['Username'] = 'Användarnamn';
-$lang['Visits'] = 'besök';
+$lang['Visits'] = 'Besök';
 $lang['Webmaster'] = 'Webbansvarig';
 $lang['Week %d'] = 'Vecka %d';
 $lang['About Piwigo'] = 'Om Piwigo';
 $lang['You are not authorized to access the requested page'] = 'Du har inte behörighet till den begärda sidan';
-$lang['add to caddie'] = 'Lägg till caddy';
-$lang['add this photo to your favorites'] = 'Lägg till den här bilden till dina favoriter';
+$lang['add to caddie'] = 'lägg i Korgen';
+$lang['add this photo to your favorites'] = 'lägg bilden i dina favoriter';
 $lang['Administration'] = 'Administration';
 $lang['all'] = 'alla';
 $lang['ascending'] = 'stigande';
-$lang['author(s) : %s'] = 'Fotograf (er) : %s';
-$lang['Expand all albums'] = 'Visa alla kategorier';
-$lang['posted after %s (%s)'] = 'postade efter %s (%s)';
-$lang['posted before %s (%s)'] = 'postade före %s (%s)';
-$lang['posted between %s (%s) and %s (%s)'] = 'postade mellan %s (%s) och %s (%s)';
-$lang['posted on %s'] = 'Inlagd den %s';
-$lang['Best rated'] = 'Bäst betyg satta';
-$lang['display best rated photos'] = 'Visa bäst betyg satta bilderna';
-$lang['caddie'] = 'korg';
+$lang['author(s) : %s'] = 'fotograf(er) : %s';
+$lang['Expand all albums'] = 'Visa alla album';
+$lang['posted after %s (%s)'] = 'publicerade efter %s (%s)';
+$lang['posted before %s (%s)'] = 'publicerade före %s (%s)';
+$lang['posted between %s (%s) and %s (%s)'] = 'publicerade mellan %s (%s) och %s (%s)';
+$lang['posted on %s'] = 'Publicerad den %s';
+$lang['Best rated'] = 'Högst betygsatta';
+$lang['display best rated photos'] = 'visa högst betygsatta bilder';
+$lang['caddie'] = 'Korg';
 $lang['Calendar'] = 'Kalender';
 $lang['All'] = 'Alla';
-$lang['display each day with photos, month per month'] = 'visa varje dag med bilder, månad per månad';
+$lang['display each day with photos, month per month'] = 'visa varje dag med bilder, månad för månad';
 $lang['View'] = 'Visa';
 $lang['day'][0] = "Söndag";
@@ -203,158 +204,160 @@
 $lang['month'][8] = "Augusti";
 $lang['month'][9] = "September";
-$lang['chronology_monthly_calendar'] = 'månads kalender';
-$lang['chronology_monthly_list'] = 'Månads förteckning';
-$lang['chronology_weekly_list'] = 'Veckolista';
-$lang['Click here if your browser does not automatically forward you'] = 'Klicka här om din Webbläsare inte automatiskt styr om dig';
-$lang['comment date'] = 'kommentar datum';
+$lang['chronology_monthly_calendar'] = 'månadskalender';
+$lang['chronology_monthly_list'] = 'månadslista';
+$lang['chronology_weekly_list'] = 'veckolista';
+$lang['Click here if your browser does not automatically forward you'] = 'Klicka här om din webbläsare inte automatiskt styr om dig';
+$lang['comment date'] = 'kommentardatum';
 $lang['Comment'] = 'Kommentar';
 $lang['Your comment has been registered'] = 'Din kommentar har registrerat';
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood system: vänta en stund innan du försöker att posta en annan kommentar';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Din kommentar har inte registrerats eftersom den inte klarade valideringen´s reglerna';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood-system: vänta en stund innan du försöker att skicka ytterligare en kommentar';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Din kommentar har INTE registrerats eftersom den inte klarade valideringsreglerna';
 $lang['An administrator must authorize your comment before it is visible.'] = 'En administratör måste godkänna din kommentar innan den blir synlig.';
 $lang['This login is already used by another user'] = 'Denna inloggning används redan av en annan användare';
 $lang['Comments'] = 'Kommentarer';
 $lang['Add a comment'] = 'Lägg till en kommentar';
-$lang['created after %s (%s)'] = 'skapats efter %s (%s)';
+$lang['created after %s (%s)'] = 'har skapats efter %s (%s)';
 $lang['created before %s (%s)'] = 'har skapats före %s (%s)';
 $lang['created between %s (%s) and %s (%s)'] = 'har skapats mellan %s (%s) och %s (%s)';
 $lang['created on %s'] = 'har skapats den %s';
 $lang['Customize'] = 'Anpassa';
-$lang['Your Gallery Customization'] = 'Din galleri anpassning';
+$lang['Your Gallery Customization'] = 'Din gallerianpassning';
 $lang['Default'] = 'Standard';
-$lang['delete this photo from your favorites'] = 'Ta bort denna bild från dina favoriter';
+$lang['delete this photo from your favorites'] = 'ta bort bilden från dina favoriter';
 $lang['Delete'] = 'Ta bort';
-$lang['descending'] = 'Fallande';
-$lang['download'] = 'Ned laddning';
+$lang['descending'] = 'fallande';
+$lang['download'] = 'ladda ner';
 $lang['download this file'] = 'ladda ner denna fil';
 $lang['edit'] = 'redigera';
-$lang['wrong date'] = 'Fel datum';
-$lang['excluded'] = 'uteslutas';
+$lang['wrong date'] = 'fel datum';
+$lang['excluded'] = 'uteslutna';
 $lang['Your favorites'] = 'Mina favoriter';
-$lang['display your favorites photos'] = 'Visa mina favoriter bilder';
-$lang['Favorites'] = 'favoriter';
+$lang['display your favorites photos'] = 'visa mina favoriterbilder';
+$lang['Favorites'] = 'Favoriter';
 $lang['First'] = 'Första';
-$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Är galleriet stängt för underhåll. Snälla, kom tillbaka senare..';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Galleriet är stängt för underhåll. Vänligen kom tillbaka senare.';
 $lang['Page generated in'] = 'Sidan skapades';
 $lang['guest'] = 'Gäst';
 $lang['Hello'] = 'Hej';
 $lang['available for administrators only'] = 'endast för administratörer';
-$lang['display this album'] = 'visar bilder roten till denna kategori';
-$lang['display last user comments'] = 'Se den sista användarnas kommentarer';
+$lang['display this album'] = 'visa detta album';
+$lang['display last user comments'] = 'visa senaste användarkommentarerna';
 $lang['customize the appareance of the gallery'] = 'anpassa utseendet på galleriet';
-$lang['search'] = 'Sök';
-$lang['Home'] = 'hem';
-$lang['in this album'] = 'i denna kategori';
-$lang['in %d sub-album'] = 'i %d under kategorin';
-$lang['in %d sub-albums'] = 'i %d under kategorier';
-$lang['included'] = 'Inkludera';
+$lang['search'] = 'sök';
+$lang['Home'] = 'Hem';
+$lang['in this album'] = 'i detta album';
+$lang['in %d sub-album'] = 'i %d underliggande album';
+$lang['in %d sub-albums'] = 'i %d underliggande album';
+$lang['included'] = 'inkluderat';
 $lang['Invalid password!'] = 'Ogiltigt lösenord!';
 $lang['Language'] = 'Språk';
-$lang['last %d days'] = 'Sista %d dagarna';
-$lang['Last'] = 'Senaste';
+$lang['last %d days'] = 'sista %d dagarna';
+$lang['Last'] = 'Sista';
 $lang['Logout'] = 'Logga ut';
 $lang['E-mail address'] = 'E-postadress';
 $lang['obligatory'] = 'obligatorisk';
-$lang['Maximum photo height'] = 'Max höjd på bilderna';
+$lang['Maximum photo height'] = 'Maximal höjd på bilderna';
 $lang['Maximum height must be a number superior to 50'] = 'Maximal höjd måste vara större än 50';
-$lang['Maximum photo width'] = 'Maximum bredd på bilderna';
+$lang['Maximum photo width'] = 'Maximal bredd på bilderna';
 $lang['Maximum width must be a number superior to 50'] = 'Maximal bredd måste vara större än 50';
-$lang['display a calendar by creation date'] = 'visa en kalender med datum för skapande';
-$lang['display all photos in all sub-albums'] = 'visa alla delar i alla kategorier och under kategorier';
-$lang['return to normal view mode'] = 'återgå till normalt visnings läge';
-$lang['display a calendar by posted date'] = 'visa en kalender sorterad på publicerd datum';
+$lang['display a calendar by creation date'] = 'visa en kalender sorterad på datum för skapande';
+$lang['display all photos in all sub-albums'] = 'visa alla bilder i alla album och underliggande album';
+$lang['return to normal view mode'] = 'återgå till normalt visningsläge';
+$lang['display a calendar by posted date'] = 'visa en kalender sorterad på datum för publicering';
 $lang['Most visited'] = 'Mest besökta';
-$lang['display most visited photos'] = 'Visa mest besökta bilder';
-$lang['The number of photos per page must be a not null scalar'] = 'Antalet bilder per sida måste vara ett heltal';
-$lang['Number of photos per page'] = 'Antal bilder per sida';
+$lang['display most visited photos'] = 'visa mest besökta bilder';
 $lang['Unknown identifier'] = 'Okänt användarnamn';
 $lang['New password'] = 'Nytt lösenord';
-$lang['Rate this photo'] = 'Betyg sätt den här bilden';
+$lang['Rate this photo'] = 'Betygsätt den här bilden';
 $lang['Next'] = 'Nästa';
-$lang['no rate'] = 'Inget betyg';
-$lang['Photos posted within the last %d day.'] = 'Inlägg postade de senaste %d dagen bara.';
-$lang['Photos posted within the last %d days.'] = 'Inlägg postade de senaste %d dagarna.';
-$lang['password updated'] = 'lösenord uppdateras';
-$lang['Recent period must be a positive integer value'] = 'senaste tiden måste vara ett positivt heltal';
-$lang['photo'] = 'Bild';
+$lang['no rate'] = 'inget betyg';
+$lang['Photos posted within the last %d day.'] = 'Bilder postade den senaste %d dagen.';
+$lang['Photos posted within the last %d days.'] = 'Bilder postade de senaste %d dagarna.';
+$lang['password updated'] = 'lösenord uppdaterat';
+$lang['Recent period must be a positive integer value'] = 'Senaste tiden måste vara ett positivt heltal';
+$lang['photo'] = 'bild';
 $lang['Click on the photo to see it in high definition'] = 'Klicka på bilden för att se den i hög upplösning';
-$lang['Show file metadata'] = 'Visa fil metadata';
-$lang['Powered by'] = 'Drivs med';
+$lang['Show file metadata'] = 'Visa metadata för filen';
+$lang['Powered by'] = 'Baserat på';
 $lang['Preferences'] = 'Inställningar';
 $lang['Previous'] = 'Föregående';
 $lang['Random photos'] = 'Slumpmässiga bilder';
-$lang['display a set of random photos'] = 'visa en uppsättning av slumpmässiga bilder';
-$lang['Recent albums'] = 'Senaste kategorier';
-$lang['display recently updated albums'] = 'visa nyligen upp daterade kategorier';
+$lang['display a set of random photos'] = 'visa en uppsättning slumpmässiga bilder';
+$lang['Recent albums'] = 'Senaste album';
+$lang['display recently updated albums'] = 'visa nyligen uppdaterade album';
 $lang['Recent period'] = 'Senaste perioden';
 $lang['Recent photos'] = 'Senaste bilder';
-$lang['display most recent photos'] = 'Visa senaste bilder';
-$lang['Redirection...'] = 'omdirigering...';
-$lang['Please, enter a login'] = 'Vanligen ange ett användarnamn';
+$lang['display most recent photos'] = 'visa senaste bilder';
+$lang['Redirection...'] = 'Omdirigering...';
+$lang['Please, enter a login'] = 'Vänligen ange ett användarnamn';
 $lang['login mustn\'t end with a space character'] = 'användarnamn får inte sluta med ett mellanslag';
-$lang['login mustn\'t start with a space character'] = 'användarnamn får inte börja med ett blanksteg';
+$lang['login mustn\'t start with a space character'] = 'användarnamn får inte börja med ett mellanslag';
 $lang['this login is already used'] = 'Detta användarnamn används redan';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-post adress måste vara som xxx@yyy.eee (exempel: jack@altern.org)';
-$lang['please enter your password again'] = 'Vanligen ange ditt lösenord igen';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-postadress måste vara i formen ”kalle@anka.org';
+$lang['please enter your password again'] = 'vänligen ange ditt lösenord igen';
 $lang['Auto login'] = 'Automatisk inloggning';
 $lang['remove this tag from the list'] = 'ta bort taggen från listan';
 $lang['representative'] = 'representant';
 $lang['Search for Author'] = 'Sök efter en fotograf';
-$lang['Search in albums'] = 'Sök i kategori';
+$lang['Search in albums'] = 'Sök i album';
 $lang['Search by Date'] = 'Sök efter datum';
 $lang['Date'] = 'Datum';
-$lang['End-Date'] = 'Slut datum';
-$lang['Kind of date'] = 'typ av dag';
+$lang['End-Date'] = 'Slutdatum';
+$lang['Kind of date'] = 'Typ av datum';
 $lang['Search for words'] = 'Sök efter orden';
 $lang['Search for all terms'] = 'Sök efter alla termer';
-$lang['Search for any terms'] = 'Sök efter alla termen';
-$lang['Empty query. No criteria has been entered.'] = 'tom fråga. Inga kriterier har lagts in.';
-$lang['Search Options'] = 'Sök alternativ';
-$lang['Search results'] = 'Sök resultat';
-$lang['Search in sub-albums'] = 'Sök i under kategorier';
+$lang['Search for any terms'] = 'Sök efter någon term';
+$lang['Empty query. No criteria has been entered.'] = 'Tom fråga. Inga kriterier har lagts in.';
+$lang['Search Options'] = 'Sökalternativ';
+$lang['Search results'] = 'Sökresultat';
+$lang['Search in sub-albums'] = 'Sök i underliggande album';
 $lang['searched words : %s'] = 'sökte ord : %s';
-$lang['Contact'] = 'Kontakt';
-$lang['%.2f (rated %d times)'] = '%.2f (betyg satt %d gångar)';
+$lang['Contact'] = 'Kontakta';
+$lang['%.2f (rated %d times)'] = '%.2f (betygsatt %d gånger)';
 $lang['%d Kb'] = '%d Kb';
-$lang['%d album updated'] = '%d kategorin uppdateras';
-$lang['%d albums updated'] = '%d kategorier uppdateras';
-$lang['%d comment to validate'] = '%d inlägg att validare';
-$lang['%d comments to validate'] = '%d inlägg att validera';
-$lang['N/A'] = 'Saknas';
+$lang['%d album updated'] = '%d album uppdaterat';
+$lang['%d albums updated'] = '%d album uppdaterade';
+$lang['%d comment to validate'] = '%d inlägg att godkänna';
+$lang['%d comments to validate'] = '%d inlägg att godkänna';
+$lang['N/A'] = 'Inte tillgängligt';
 $lang['New on %s'] = 'Nya på %s';
-$lang['set as album representative'] = 'Ange som kategorin företrädande';
+$lang['set as album representative'] = 'ange som omslag för album';
 $lang['Show number of comments'] = 'Visa antal inlägg';
 $lang['Show number of hits'] = 'Visa antal träffar';
-$lang['slideshow'] = 'bild spel';
-$lang['stop the slideshow'] = 'stoppa bild spelet';
-$lang['Specials'] = 'Erbjudande';
+$lang['slideshow'] = 'bildspel';
+$lang['stop the slideshow'] = 'stoppa bildspelet';
+$lang['Specials'] = 'Funktioner';
 $lang['SQL queries in'] = 'SQL-frågor i';
-$lang['display only recently posted photos'] = 'visa endast nyligen postade bilder';
+$lang['display only recently posted photos'] = 'visa endast nyligen publicerade bilder';
 $lang['return to the display of all photos'] = 'återgå till visning av alla bilder';
 $lang['the beginning'] = 'början';
-$lang['Interface theme'] = 'utseende tema';
+$lang['Interface theme'] = 'Gränssnittstema';
 $lang['Thumbnails'] = 'Miniatyrer';
 $lang['Menu'] = 'Meny';
-$lang['A comment on your site'] = 'Ett inlägg på din webbplats';
-$lang['today'] = 'Idag';
+$lang['A comment on your site'] = 'En kommentar på er sida';
+$lang['today'] = 'idag';
 $lang['Update your rating'] = 'Uppdatera ditt betyg';
-$lang['wrong filename'] = 'Fel filnamn';
+$lang['wrong filename'] = 'fel filnamn';
 $lang['the username must be given'] = 'användarnamn krävs';
-$lang['edit this comment'] = 'Redigera detta inlägg';
+$lang['edit this comment'] = 'redigera detta inlägg';
 $lang['Edit a comment'] = 'Redigera ett inlägg';
 $lang['Are you sure?'] = 'Är du säker?';
-$lang['(!) This comment requires validation'] = '(!) Denna inlägg kräver valideringen';
+$lang['(!) This comment requires validation'] = '(!) Detta inlägg kräver valideringen';
 $lang['Welcome'] = 'Välkommen';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Välkommen till din Piwigo fotogalleri!';
-$lang['... or browse your empty gallery'] = '... eller bläddra ibland dina tomma gallerier';
-$lang['... or please deactivate this message, I will find my way by myself'] = '... eller vänligen av aktivera detta meddelande kommer jag hittar själv';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hej %s, är din Piwigo fotogalleri tomt!';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Välkommen till ditt Piwigo-fotogalleri!';
+$lang['... or browse your empty gallery'] = '... eller bläddra i ditt tomma galleri';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... eller vänligen avaktivera detta meddelande, jag hittar själv';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hej %s, ditt Piwigo fotogalleri är tomt!';
 $lang['I want to add photos'] = 'Jag vill lägga till bilder';
-$lang['Manage this user comment: %s'] = 'Hantera den här användaren inlägg: %s';
-$lang['Email address is missing. Please specify an email address.'] = 'e-post adress saknas. Vanligen ange en e-post adress.';
-$lang['This author modified following comment:'] = 'Denna fotograf modifierad följande inlägg:';
-$lang['This author removed the comment with id %d'] = 'Denna fotograf raderade bort inlägg med id %d';
-$lang['delete this comment'] = 'Ta bort detta inlägg';
+$lang['Manage this user comment: %s'] = 'Hantera det här användarinlägget: %s';
+$lang['Email address is missing. Please specify an email address.'] = 'E-postadressen saknas. Vänligen ange din e-postadress.';
+$lang['This author modified following comment:'] = 'Denna fotograf modifierade följande inlägg:';
+$lang['This author removed the comment with id %d'] = 'Denna fotograf raderade inlägg med id %d';
+$lang['delete this comment'] = 'ta bort detta inlägg';
 $lang['validate this comment'] = 'validera detta inlägg';
+$lang['The number of photos per row must be a not null scalar'] = 'Antalet bilder per rad måste vara ett heltal';
+$lang['Number of photos per row'] = 'Antal bilder per rad';
+$lang['The number of rows per page must be a not null scalar'] = 'Antalet rader per sida måste vara ett heltal';
+$lang['Number of rows per page'] = 'Antal rader per sida';
 
 ?>