Index: extensions/Mail_supervisor/mail_super.inc.php
===================================================================
--- extensions/Mail_supervisor/mail_super.inc.php	(revision 10385)
+++ extensions/Mail_supervisor/mail_super.inc.php	(revision 10419)
@@ -39,5 +39,5 @@
  */
  static public function init() {
-  global  $template,$version,$icon_path;    
+  global  $template,$version,$icon_path;
   $action_spam = pwg_get_session_var('action_spam') ;
   $theme="default";
@@ -48,8 +48,8 @@
   if (PHPWG_VERSION < 2.2 ) {
     $file =MAIL_SUPERV_PATH_ABS.'admin/header_2_1.tpl' ;
-  
+
   } else {
     $file = MAIL_SUPERV_PATH_ABS.'admin/header_2_2.tpl' ;
-    
+
   }
   if(isset($_GET['action_spam']) and $_GET['action_spam']=="no"){
@@ -62,6 +62,6 @@
   $profile=array('theme' => $theme,
             'PHPWG_VERSION' => PHPWG_VERSION ,
-            'MAIL_SUPERV_PATH' => $MAIL_SUPERV_PATH  ,             
-            'MAIL_SUPERV_PATH_ABS' => MAIL_SUPERV_PATH_ABS           
+            'MAIL_SUPERV_PATH' => $MAIL_SUPERV_PATH  ,
+            'MAIL_SUPERV_PATH_ABS' => MAIL_SUPERV_PATH_ABS
           );
 
@@ -86,13 +86,13 @@
           $ip=getenv("REMOTE_ADDR");
       }
-    }    
+    }
       //  unset ($_SESSION['pwg_'.'action_spam']);
       $action_spam = pwg_get_session_var('action_spam') ;
-        
+
       if  ($action_spam == null or $action_spam == 'false') {
         $action_spam = kill_list();
       }
 
-      if (is_bool($action_spam)) $action_spam =($action_spam == true) ? "true" : "false" ; 
+      if (is_bool($action_spam)) $action_spam =($action_spam == true) ? "true" : "false" ;
       if ($action_spam == "true" ) {
         $erreur_message .= $ip . " "  . $action_spam  ;
@@ -122,5 +122,5 @@
         else $page['infos']=Array($infos_message);
         $infos_message="";
-      }    
+      }
     if (isset($erreur_message))
       if  ($erreur_message != "")  {
@@ -130,5 +130,5 @@
         else $page['errors']=Array($erreur_message);
         $erreur_message ="";
-      } 
+      }
     return $action_spam;
   } //fin Affiche_message
@@ -140,6 +140,6 @@
   static public function Get_geo() {
     global  $info_geo,$ip,$pays,$region,$ville, $latitude ,$longitude,$mails_options;
-    //===================================================================================   
-    $info_geo = pwg_get_session_var('info_geo'); 
+    //===================================================================================
+    $info_geo = pwg_get_session_var('info_geo');
     if (count($info_geo) > 0){
         $pays  = $info_geo[0];
@@ -177,7 +177,7 @@
     if(count($variables)>1){
     foreach($variables as $key => $line){
-      echo  $key . " =>  " . $line ; 
+      echo  $key . " =>  " . $line ;
       echo "<br />";
-    }       
+    }
     }else{
         echo "<i>".$variables."</i><br />";
@@ -233,5 +233,5 @@
     global $conf,$mails_options ;
   $mails_options=  $conf[$str_index];
- 
+
  if(isset($mails_options))
    if ( preg_match("|s:(.*)|", $mails_options, $val) )
@@ -239,30 +239,30 @@
    else{
      $parametres=explode(",",$mails_options);
-   
+
     $def_para->check_mailto="on";
     $def_para->check_header_carbon="on";
     $def_para->check_header_text="on";
     $def_para->no_mail_list="on";
-    $def_para->no_connect="on";	// empeche l'ip de se connecter au site.
-    $def_para->set_auto="on";		// Test a l'ouverture et enregistrement 
-    $def_para->ip="127.0.0.1";		// dernièrre adresse IP
-    $def_para->set_id="on";		  // enregistrment nouvel  
+    $def_para->no_connect="on"; // empeche l'ip de se connecter au site.
+    $def_para->set_auto="on";       // Test a l'ouverture et enregistrement
+    $def_para->ip="127.0.0.1";      // dernièrre adresse IP
+    $def_para->set_id="on";       // enregistrment nouvel
     $i=0;
     foreach ($def_para as $key => $value) {
         $value=$parametres[$i];
         unset( $parametres[$i]) ;
-        $parametres[$key]= $value  ; 
+        $parametres[$key]= $value  ;
         $i++;
     }
      }
   return mail_supervisor::Set_Options($parametres,$str_index);
-  }	  
+  }
   //==========================================================
-  function Set_Options($parametres,$str_index){  
+  function Set_Options($parametres,$str_index){
   global $infos_message,$conf;
-      foreach ($parametres as $key => $value) { 
+      foreach ($parametres as $key => $value) {
        $parametres[$key]=(isset($_POST[$key]))? "on" : $value ;
      }
-   $parametres['no_connect']= 'off' ;     
+   $parametres['no_connect']= 'off' ;
      return $parametres ;
   }
@@ -274,12 +274,12 @@
 
  if ( isset($mails_parametres) )
- 	{		$query = '
-    		UPDATE '.CONFIG_TABLE.'
-    		SET value="'.addslashes(serialize($mails_parametres)).'"
-    		WHERE param = "mail_superv"
-    		LIMIT 1';
- 			pwg_query($query);
-	  }
-	  
+    {       $query = '
+            UPDATE '.CONFIG_TABLE.'
+            SET value="'.addslashes(serialize($mails_parametres)).'"
+            WHERE param = "mail_superv"
+            LIMIT 1';
+            pwg_query($query);
+      }
+
  }
 
@@ -287,15 +287,15 @@
   function sauve_donnees(){
   global $mails_donnees,$superv_champs,$superv_type,$erreur_message ;
-  //=====================================================================	
+  //=====================================================================
   $clefs = $superv_champs ;
   $valeurs = array();
   foreach ( $clefs as $champ){
-        $champ = trim($champ);     
-	    if ( isset($mails_donnees[  $champ ]) ) {
-	      $sep= (is_string($mails_donnees[ $champ ])) ? '"' : '' ;
+        $champ = trim($champ);
+        if ( isset($mails_donnees[  $champ ]) ) {
+          $sep= (is_string($mails_donnees[ $champ ])) ? '"' : '' ;
           array_push($valeurs , "`".$champ."`" . ' = ' . $sep . $mails_donnees[  $champ ] . $sep)  ;
-	    }else{	 
-	      array_push($valeurs , "`".$champ."`" . ' = ' .  "0"  )  ;
-	    }	 
+        }else{
+          array_push($valeurs , "`".$champ."`" . ' = ' .  "0"  )  ;
+        }
       }
   $valeurs = implode(", ",$valeurs) ;
@@ -304,6 +304,6 @@
           UPDATE '.mail_superv_TABLE.'
           SET '. $valeurs .'
-		  WHERE `id` = 1 LIMIT 1 ';
-		  ;
+          WHERE `id` = 1 LIMIT 1 ';
+          ;
   ob_start();
   $ret=  pwg_query($query)    ;
@@ -316,30 +316,30 @@
     global $superv_champs ;
     $champs = implode(",",$superv_champs );
-      $query = "SELECT ".$champs." 
+      $query = "SELECT ".$champs."
       FROM ".mail_superv_TABLE."
       ;";
-		$result = @pwg_query($query); 
+        $result = @pwg_query($query);
     if (!$result) {
-			verif_base();
-	 		$result = @pwg_query($query);
-		}					
+            verif_base();
+            $result = @pwg_query($query);
+        }
     $data = mysql_fetch_array($result,MYSQL_ASSOC);
     //====================================================================================
-    $next_day = Str_To_Time( $data['nb_mails_periode'], $data['date_mail'] ); 
-    $next_day = ($next_day >0) ? $next_day :  (604800  + time()) ; 
+    $next_day = Str_To_Time( $data['nb_mails_periode'], $data['date_mail'] );
+    $next_day = ($next_day >0) ? $next_day :  (604800  + time()) ;
     $data['rest_mail'] =    $next_day - time() ;
     $next_day = Str_To_Time( $data['nb_spams_periode'],$data['date_spam']);
     $next_day = ($next_day >0) ? $next_day :  (172800  + time()) ;
     $data['rest_spam'] =  $next_day - time() ;
-    $next_day = Str_To_Time($data['quarantaine_periode'] ,$data['date_quarantaine']);	
+    $next_day = Str_To_Time($data['quarantaine_periode'] ,$data['date_quarantaine']);
     $next_day = ($next_day >0) ? $next_day :  (172800 + time()) ;
-	
+
     if ($data['quarantaine'] == 'true' ) {
-		    $data['reste'] =   ( $next_day )-time() ;
+            $data['reste'] =   ( $next_day )-time() ;
     }else{
-		    $data['reste'] = 0;
-    }
-	
-	    return $data;
+            $data['reste'] = 0;
+    }
+
+        return $data;
   }
  }