Index: /extensions/Autosize/include/affiche.php
===================================================================
--- /extensions/Autosize/include/affiche.php	(revision 10444)
+++ /extensions/Autosize/include/affiche.php	(revision 10445)
@@ -3,4 +3,7 @@
 $img_width=isset($picture['current']['width'])?$picture['current']['width']:480;
 $img_height=isset($picture['current']['height'])?$picture['current']['height']:320;
+
+$img_scaled_width=isset($picture['current']['scaled_width'])?$picture['current']['scaled_width']:480;
+$img_scaled_height=isset($picture['current']['scaled_height'])?$picture['current']['scaled_height']:320;
 
 $cl_version=isset($cl_version)?$cl_version:"";
@@ -20,56 +23,57 @@
 											)
 									);	
-                                    	
+                 
+  
+                              	
   	$template->assign(
   					array(
-					'DEBUG' =>  $DEBUG   ,
-					'cl_visible' =>  $cl_visible,
-					'cl_version' => $cl_version,
-					'cl_plugin' => $cl_plugin,
+            'DEBUG' =>  $DEBUG   ,
+            'cl_visible' =>  $cl_visible,
+            'cl_version' => $cl_version,
+            'cl_plugin' => $cl_plugin,
 
-					'fade_in' => $autosize_parametres->fade_in,
-					'thumbnail' => $conf['prefix_thumbnail'],
-                    'visible' => $visible,
+            'fade_in' => $autosize_parametres->fade_in,
+            'thumbnail' => $conf['prefix_thumbnail'],
+            'visible' => $visible,
 
-                    'theme' => $theme,
-					 'SCALED_WIDTH' => $picture['current']['scaled_width'],
-					 'SCALED_HEIGHT' => $picture['current']['scaled_height'],                    
-                    'IMG_WIDTH' 	=> $img_width,
-                    'IMG_HEIGHT'	=> $img_height,
+            'theme' => $theme,
+            'SCALED_WIDTH' => $img_scaled_width,
+            'SCALED_HEIGHT' => $img_scaled_height,                    
+            'IMG_WIDTH' 	=> $img_width,
+            'IMG_HEIGHT'	=> $img_height,
+                    
+            'MINI_HEIGHT' => $autosize_parametres->mini_height,
+            'MINI_WIDTH' 	=> $autosize_parametres->mini_width,
+            'MINI_HEIGHT2' => $autosize_parametres->mini_height2,
+            'MINI_WIDTH2' 	=> $autosize_parametres->mini_width2,
 
+            'MARGE_BASSE' => $autosize_parametres->marge_basse,
+            'ECHELLE_MAX' => $autosize_parametres->echelle_max,
 
-                    'MINI_HEIGHT' => $autosize_parametres->mini_height,
-                    'MINI_WIDTH' 	=> $autosize_parametres->mini_width,
-					 'MINI_HEIGHT2' => $autosize_parametres->mini_height2,
-                    'MINI_WIDTH2' 	=> $autosize_parametres->mini_width2,
+            'check_auto_w' => ($autosize_parametres->check_auto_w == 'on') ? 'checked="checked"'  : '' ,
+            'check_icon_v' => ($autosize_parametres->check_icon_v == 'on') ? 'checked="checked"'  : '' ,
+            'check_desc_v' => ($autosize_parametres->check_desc_v == 'on') ? 'checked="checked"'  : '' ,
 
-                    'MARGE_BASSE' => $autosize_parametres->marge_basse,
-                    'ECHELLE_MAX' => $autosize_parametres->echelle_max,
+            'webmaster_width' => $autosize_parametres->webmaster_width,
+            'webmaster_height' => $autosize_parametres->webmaster_height,
+            'webmaster_enabled' => ($autosize_parametres->webmaster_enabled == 'on') ? 'checked="checked"'  : '' ,
 
-                    'check_auto_w' => ($autosize_parametres->check_auto_w == 'on') ? 'checked="checked"'  : '' ,
-                    'check_icon_v' => ($autosize_parametres->check_icon_v == 'on') ? 'checked="checked"'  : '' ,
-                    'check_desc_v' => ($autosize_parametres->check_desc_v == 'on') ? 'checked="checked"'  : '' ,
+            'admin_width' => $autosize_parametres->admin_width,
+            'admin_height' => $autosize_parametres->admin_height,
+            'admin_enabled' => ($autosize_parametres->admin_enabled == 'on') ? 'checked="checked"'  : '' ,
 
-					'webmaster_width' => $autosize_parametres->webmaster_width,
-                    'webmaster_height' => $autosize_parametres->webmaster_height,
-					'webmaster_enabled' => ($autosize_parametres->webmaster_enabled == 'on') ? 'checked="checked"'  : '' ,
+            'generic_width' => $autosize_parametres->generic_width,
+            'generic_height' => $autosize_parametres->generic_height,
+            'generic_enabled' => ($autosize_parametres->generic_enabled == 'on') ? 'checked="checked"'  : '' ,
 
-                    'admin_width' => $autosize_parametres->admin_width,
-                    'admin_height' => $autosize_parametres->admin_height,
-					'admin_enabled' => ($autosize_parametres->admin_enabled == 'on') ? 'checked="checked"'  : '' ,
+            'guest_width' => $autosize_parametres->guest_width,
+            'guest_height' => $autosize_parametres->guest_height,
+            'guest_enabled' => ($autosize_parametres->guest_enabled == 'on') ? 'checked="checked"'  : '' ,
+				 
+            'normal_width' => $autosize_parametres->normal_width,
+            'normal_height' => $autosize_parametres->normal_height,
+            'normal_enabled' => ($autosize_parametres->normal_enabled == 'on') ? 'checked="checked"'  : '' ,
 
-                    'generic_width' => $autosize_parametres->generic_width,
-                    'generic_height' => $autosize_parametres->generic_height,
-					'generic_enabled' => ($autosize_parametres->generic_enabled == 'on') ? 'checked="checked"'  : '' ,
-
-                    'guest_width' => $autosize_parametres->guest_width,
-                    'guest_height' => $autosize_parametres->guest_height,
-					'guest_enabled' => ($autosize_parametres->guest_enabled == 'on') ? 'checked="checked"'  : '' ,
-				 
-                    'normal_width' => $autosize_parametres->normal_width,
-                    'normal_height' => $autosize_parametres->normal_height,
-					'normal_enabled' => ($autosize_parametres->normal_enabled == 'on') ? 'checked="checked"'  : '' ,
-
-					'user_status'   => get_user_status($user_status)  
+            'user_status'   => get_user_status($user_status)  
 					
 				 )