Index: /extensions/LLGBO2/admin/llgbo_admin.php
===================================================================
--- /extensions/LLGBO2/admin/llgbo_admin.php	(revision 10452)
+++ /extensions/LLGBO2/admin/llgbo_admin.php	(revision 10453)
@@ -41,4 +41,5 @@
 $me = get_plugin_data($plugin_id);
 $template->assign('LLGBOINFO','');
+$template->assign('LLGBO_PATH',LLGBO_PATH);
 //  
 $query =" SELECT ID FROM ".$prefixeTable."themes where id like '%gally%' " ;
@@ -110,17 +111,6 @@
 $tabsheet->select($page['tab']);
 
-$template->append('head_elements',
-		   '<script type="text/javascript" src="./plugins/look_like_gbo2/farbtastic/farbtastic.js"></script>
-<link rel="stylesheet" type="text/css"
-      href="./plugins/look_like_gbo2/farbtastic/farbtastic.css" />
-<link rel="stylesheet" type="text/css"
-      href="./plugins/look_like_gbo2/css/look_like_gbo2_admin.css" /> 
-<! --- LLGBO tooltip css-->
-<style type="text/css"> 
-#toolTip {background:'.$conf['LLGBO_TOOLTIP'][3].';color:'.$conf['LLGBO_TOOLTIP'][5].';border:'.$conf['LLGBO_TOOLTIP'][1].'px solid '.$conf['LLGBO_TOOLTIP'][2].';padding:5px;min-height:1em;-moz-border-radius:5px} 
-#toolTip p {margin:0;padding:0;color:'.$conf['LLGBO_TOOLTIP'][5].';font-size:0.8em;font-family:Verdana,Arial,Helvetica,sans-serif;text-align:left}
-#toolTip title {color:'.$conf['LLGBO_TOOLTIP'][4].';text-align:center;padding:0 0 3px 0;font-weight:bold}
-</style>');
-
+
+ 
  
 // Update configuration settings in database
@@ -195,5 +185,5 @@
 	  {$template->assign(array( 'LLGBO_ALWAYS_DISPLAYEXIF' => 'true'));}  else  { $template->assign(array( 'LLGBO_ALWAYS_DISPLAYEXIF' => "false"));}
 
-	  }
+}
 ///////////////////////////////////////////////////////////////////////////////////////
 //// TOOLTIP		
@@ -237,5 +227,14 @@
  if (isset($conf['LLGBO_TOOLTIP'][4])) {$template->assign(array( 'LLGBO_TOOLTIP_TITLECOLOR' => $conf['LLGBO_TOOLTIP'][4]));}
  if (isset($conf['LLGBO_TOOLTIP'][5])) {$template->assign(array( 'LLGBO_TOOLTIP_COLOR' => $conf['LLGBO_TOOLTIP'][5]));}
-}
+$template ->assign ('stylett','	  
+	  <! --- LLGBO tooltip css-->
+<style type="text/css"> 
+div#toolTip {background:'.$conf['LLGBO_TOOLTIP'][3].';color:'.$conf['LLGBO_TOOLTIP'][5].';border:'.$conf['LLGBO_TOOLTIP'][1].'px solid '.$conf['LLGBO_TOOLTIP'][2].';padding:8px;min-height:1em;
+-moz-border-radius:20px;border-radius:20px;-moz-box-shadow: 0px 0px 35px '.$conf['LLGBO_TOOLTIP'][2].' inset ;-webkit-box-shadow:0px 0px  35px '.$conf['LLGBO_TOOLTIP'][2].' inset } 
+div#toolTip p {margin:0;padding:0;color:'.$conf['LLGBO_TOOLTIP'][5].';font-size:0.8em;font-family:Verdana,Arial,Helvetica,sans-serif;text-align:left}
+div#toolTip p em {display:block;margin-top:3px;font-style:normal;font-weight:bold;text-align:left}
+div#toolTip p.title {color:'.$conf['LLGBO_TOOLTIP'][4].';text-align:center;padding:0 0 3px 0;}
+</style>');
+ }
 
 ///////////////////////////////////////////////
Index: /extensions/LLGBO2/admin/llgbo_adminframe.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 10452)
+++ /extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 10453)
@@ -3,4 +3,7 @@
  <h2> {'Title'|@translate} -> {$LLGBO_VERSION}</h2>
  <h3>{'Step3_Title'|@translate}</h3>
+{combine_css path=$LLGBO_PATH|@cat:"css/look_like_gbo2_admin.css" order="+02"} 
+{combine_css path=$LLGBO_PATH|@cat:"farbtastic/farbtastic.css" order="+0"} 
+{combine_script id='jquery.farbtastic'  require='jquery'   path=$LLGBO_PATH|@cat:"farbtastic/farbtastic.js"}
 <form method="post" action="" class="properties">
 <fieldset>
Index: /extensions/LLGBO2/admin/llgbo_adminheader.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 10452)
+++ /extensions/LLGBO2/admin/llgbo_adminheader.tpl	(revision 10453)
@@ -1,2 +1,3 @@
+{combine_css path=$LLGBO_PATH|@cat:"css/look_like_gbo2_admin.css" order="+02"} 
 {if !empty($LLGBOINFO)}<div class="infos" style="text-align:left;padding-left:50px;" >{$LLGBOINFO|@translate}</div>{/if}
 <h2> {'Title'|@translate} -> {$LLGBO_VERSION}</h2>
@@ -82,3 +83,4 @@
 </fieldset>
 </form>
+
  
Index: /extensions/LLGBO2/admin/llgbo_admintooltip.tpl
===================================================================
--- /extensions/LLGBO2/admin/llgbo_admintooltip.tpl	(revision 10452)
+++ /extensions/LLGBO2/admin/llgbo_admintooltip.tpl	(revision 10453)
@@ -1,2 +1,3 @@
+{$stylett}
 {if !empty($LLGBOINFO)}<div class="infos" style="text-align:left;padding-left:50px;" >{$LLGBOINFO|@translate}</div>{/if} 
  <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
@@ -4,8 +5,11 @@
 <form method="post" action="" class="properties">
 <fieldset>
+{combine_css path=$LLGBO_PATH|@cat:"css/look_like_gbo2_admin.css" order="+02"} 
+{combine_css path=$LLGBO_PATH|@cat:"farbtastic/farbtastic.css" order="+0"} 
+{combine_script id='jquery.farbtastic'  require='jquery'   path=$LLGBO_PATH|@cat:"farbtastic/farbtastic.js"}
+<div id="picker"></div>
 
-<div id="picker"></div>
 <!--           T O O L T I P  -->
-<div id="tooltip"   style= "border:{$LLGBO_TOOLTIP_SIZE}px solid {$LLGBO_TOOLTIP_BORDERCOLOR};{$LLGBODISPTOOLTIP};background:{$LLGBO_TOOLTIP_BACKGROUNDCOLOR};color:{$LLGBO_TOOLTIP_COLOR};">	
+<div id="toolTip"   >	
 	
 	<table align="center"  >
@@ -62,21 +66,2 @@
   {rdelim});
 </script>   
-<script type="text/javascript" charset="utf-8">
-  $(document).ready(function() {ldelim}
-    var f = $.farbtastic('#framepicker');
-    var p = $('#framepicker').css('opacity', 0.45);
-    var selected;
-    $('.colorwellf')
-      .each(function () {ldelim}   f.linkTo(this);   $(this).css('opacity', 0.85);  {rdelim})
-      .focus(function() {ldelim}
-        if (selected) {ldelim}
-         $(selected).css('opacity', 0.85).removeClass('colorwell-selected');
-		{rdelim}
-        f.linkTo(this);	
-        p.css('opacity', 1);
-		$(selected = this).css('opacity', 1).addClass('colorwell-selected'); 
-	
-	   {rdelim});
-	
-  {rdelim});
-</script>
Index: /extensions/LLGBO2/js/sweettitlesn1_comment.js
===================================================================
--- /extensions/LLGBO2/js/sweettitlesn1_comment.js	(revision 10453)
+++ /extensions/LLGBO2/js/sweettitlesn1_comment.js	(revision 10453)
@@ -0,0 +1,150 @@
+Array.prototype.inArray = function (value) {
+	var i;
+	for (i=0; i < this.length; i++) {
+		if (this[i] === value) {
+			return true;}
+	}
+	return false;
+};
+function addEvent2( obj, type, fn ) {
+	if (obj.addEventListener) {
+		obj.addEventListener( type, fn, false );
+		EventCache.add(obj, type, fn);}
+	else if (obj.attachEvent) {
+		obj["e"+type+fn] = fn;
+		obj[type+fn] = function() { obj["e"+type+fn]( window.event ); }
+		obj.attachEvent( "on"+type, obj[type+fn] );
+		EventCache.add(obj, type, fn);}
+	else {obj["on"+type] = obj["e"+type+fn];}
+}
+var EventCache = function(){
+	var listEvents = [];
+	return {
+		listEvents : listEvents,
+		add : function(node, sEventName, fHandler){
+			listEvents.push(arguments);
+		},
+		flush : function(){
+			var i, it;
+			for(i = listEvents.length - 1; i >= 0; i = i - 1){
+				it = listEvents[i];
+				if(it[0].removeEventListener){
+					it[0].removeEventListener(it[1], it[2], it[3]);};
+				if(it[1].substring(0, 2) != "on"){it[1] = "on" + it[1];};
+				if(it[0].detachEvent){it[0].detachEvent(it[1], it[2]);};
+				it[0][it[1]] = null;};
+		}	};}();
+addEvent2(window,'unload',EventCache.flush);
+/*Sweet Titles (c) 2005 http://www.dustindiaz.com
+Revision pour llgbo :ex-ftb 2006*/
+var swtT = { 
+	xCord : 0,								
+	yCord : 0,								
+	tipElements : ['a','span','area'],
+	forbidenClasses : ['navThumb','markItUpButton'],	
+	obj : Object,							
+	x : Object,							
+	init : function() {
+		if ( !document.getElementById ||
+			!document.createElement ||
+			!document.getElementsByTagName ) {return;	}
+		var i,j,Over,c;
+		this.x = document.createElement('div');	
+		this.x.id = 'toolTip';
+		document.getElementsByTagName('body')[0].appendChild(this.x);
+		this.x.style.top = '0';
+		this.x.style.visibility = 'hidden';
+		var tipLen = this.tipElements.length;
+		for ( i=0; i<tipLen; i++ ) {
+			var Elms = document.getElementsByTagName(this.tipElements[i]);
+			var curLen = Elms.length;
+			for ( j=0; j<curLen; j++ ) {
+				var el= Elms[j];
+				var Active = '';
+				var fcLen = this.forbidenClasses.length;
+				for (c=0; c<fcLen; c++) {
+					if ( el.parentNode.className.indexOf(this.forbidenClasses[c]) != -1 ||
+					el.className.indexOf(this.forbidenClasses[c]) != -1) 
+					 { Active = 'No'; }} 								 
+				 if (Active != 'No' ) 
+					{ var tv = el.getAttribute('title');
+						if ( tv != null && tv != "null" && tv !="") //chrome
+						 {addEvent2(el,'mouseover',this.tipOver);
+							addEvent2(el,'mousemove',this.tipMouseMove);
+							addEvent2(el,'mouseout',this.tipOut);
+							var sv = el.getAttribute('swttips');
+							el.setAttribute('tiptitle', tv);
+							el.setAttribute('tipswt', sv );
+							el.setAttribute('title',''); 
+							el.removeAttribute('swttips');}
+						el.removeAttribute('alt');} }
+		}
+	},
+	updateXY : function(e) {
+		if ( document.captureEvents ) {
+			swtT.xCord = e.pageX;
+			swtT.yCord = e.pageY;
+		} else if ( window.event.clientX ) {
+		var ddE = document.documentElement
+			swtT.xCord = window.event.clientX+ddE.scrollLeft;
+			swtT.yCord = window.event.clientY+ddE.scrollTop;} },
+	tipOut: function() {
+		if ( window.tID ) {
+			clearTimeout(tID);		}
+		if ( window.opacityID ) {
+			clearTimeout(opacityID);}
+		swtT.x.style.visibility = 'hidden';},
+	checkNode : function() {
+		var trueObj = this.obj;
+		if ( this.tipElements.inArray(trueObj.nodeName.toLowerCase()) ) {
+			return trueObj;
+		} else {return trueObj.parentNode;}
+	},
+	tipOver : function(e) {swtT.obj = this;
+	tID = window.setTimeout("swtT.tipShow()",100);
+	 swtT.updateXY(e);},
+	
+	tipMouseMove : function(e) {swtT.updateXY(e); swtT.tipMove();},
+	
+	tipShow : function() {			
+		var anch = this.checkNode();
+		this.x.innerHTML ="";
+	 this.x.innerHTML = "<p class='title'> <span> "+anch.getAttribute('tiptitle')+"</span></p>";
+		sv = anch.getAttribute('tipswt');
+		if ((sv != null) && (sv != "null") && (sv !="")) //chrome
+		{this.x.innerHTML= this.x.innerHTML + "<p>" + anch.getAttribute('tipswt') + "</p>"; }
+		swtT.Move;
+		var T = this.x.style;
+		T.visibility = 'visible';
+		T.opacity = '.1';
+		this.tipFade(10);	},
+	
+	tipMove: function()
+	{ var scrX = Number(this.xCord);
+		var scrY = Number(this.yCord);
+		var tp = parseInt(scrY+8);
+		var lt = parseInt(scrX+8);
+		var D = document.documentElement;
+		var T = this.x.style;
+		if ( parseInt(D.clientWidth+D.scrollLeft) < parseInt(this.x.offsetWidth+lt) ) {
+			T.left = parseInt(lt-(this.x.offsetWidth+3))+'px';
+		} else {
+			T.left = lt+'px';		}
+		if ( parseInt(D.clientHeight+D.scrollTop) < parseInt(this.x.offsetHeight+tp) ) {
+			T.top = parseInt(tp-(this.x.offsetHeight+3))+'px';
+		} else {T.top = tp+'px';		}
+	},
+	tipFade: function(opac) {
+		var passed = parseInt(opac);
+		var newOpac = parseInt(passed+10);
+		 T = this.x.style;
+		if ( newOpac < 92 ) {
+			T.opacity = '.'+newOpac;
+			T.filter = "alpha(opacity:"+newOpac+")";
+			opacityID = window.setTimeout("swtT.tipFade('"+newOpac+"')",20);}
+		else { T.opacity = '.92';
+			T.filter = "alpha(opacity:92)";		}
+	}
+};
+function pageLoader() {	swtT.init();}
+addEvent2(window,'load',pageLoader);
Index: /extensions/LLGBO2/main.inc.php
===================================================================
--- /extensions/LLGBO2/main.inc.php	(revision 10452)
+++ /extensions/LLGBO2/main.inc.php	(revision 10453)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Look_like_gbo2 
-Version:  2.2.a
+Version:  2.2.b
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=251
 Author: GBo 
@@ -8,5 +8,6 @@
 Description:  Display thumbnail under button. Add navigation on picture look like GBo Gallery 
 Add a border around  picture ......
-  2.2.a compliant 2.2 Piwigo
+  2.2.a compliant 2.2rc Piwigo
+  2.2.b Full compliant 2.2 Piwigo + fix bug in admin
 */
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
@@ -15,5 +16,5 @@
 global $conf; 
 
-define ('LLGBO_INFO_VERSION','2.2.a');
+define ('LLGBO_INFO_VERSION','2.2.b');
 if (!defined('LLGBO_PATH'))
 {define('LLGBO_PATH' ,get_root_url().'plugins/'.basename(dirname(__FILE__)) . '/');}
@@ -155,5 +156,5 @@
 function MyPictureOptions($content )
 {global $template,$conf,$user,$lang;	
-$llgbo_path = get_root_url().'plugins/'.basename(dirname(__FILE__)) . '/';
+$template->assign('LLGBO_PATH',LLGBO_PATH);
 $sweetcss = ' <! --- LLGBO tooltip css-->
 <style type="text/css"> 
@@ -162,4 +163,5 @@
 div#toolTip p em {display:block;margin-top:3px;font-style:normal;font-weight:bold;text-align:left}
 div#toolTip p.title {color:'.$conf['LLGBO_TOOLTIP'][4].';text-align:center;padding:0 0 3px 0;}
+#theImage{margin:auto;overflow: hidden;}
 </style>';
 //-----------------------------------------------------------------
@@ -168,7 +170,7 @@
  If (($conf['LLGBO'][1]  == 'true' ) /*  tooltip  */  or  ($conf['LLGBO_SETTINGS'] [2]  == 'true' )  /* exif under bt */ 
  or  ($conf['LLGBO_SETTINGS'] [4]  === 'true' ) /* usemap and Display Thumb  */)
-	    {  $javacss = '<script type="text/javascript" charset="utf-8"  src="'.$llgbo_path;
-	      $sweetcss =  $sweetcss."\n".$javacss.'js/sweettitlesn.js"></script>'."\n"; 
-		  $template->append('footer_elements',$sweetcss); }
+	    {  $template->assign('LLGBOTOOLTIP', 1 );    
+		$template->append('footer_elements',$sweetcss);
+	}
 //-----------------------------------------------------------------
 // Navigation improvement are always available
@@ -215,8 +217,5 @@
 /////////////////////////////////////////////////////////////////	
 If (($conf['LLGBO_SETTINGS'] [1]  == 'true' )/*  tooltip display  */  or ($conf['LLGBO_SETTINGS'] [0] == 'true') /*  frame  */ 	)
-			{ $linkcss = '<link rel="stylesheet" type="text/css" href="'.$llgbo_path;
-			$template->append('head_elements',$linkcss.'css/gbolook.css">');
-		  	 $template->append('head_elements',"\n".' <STYLE type="text/css">#theImage{margin:auto;overflow: hidden;}</STYLE>');
-			  }
+			{ $template->assign('LLGBOCSS', 2 );  }
 //----------------------------------------------------	 
 //-------      Usemap   values         -------------	 
Index: /extensions/LLGBO2/template/picture_content.tpl
===================================================================
--- /extensions/LLGBO2/template/picture_content.tpl	(revision 10452)
+++ /extensions/LLGBO2/template/picture_content.tpl	(revision 10453)
@@ -52,8 +52,11 @@
 	{if isset($high) and !isset($USEMAP) } 
 		<!-- HihgDef and navigation on picture off   -->
-			<a href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')">
-			<p>{'Click on the picture to see it in high definition'|@translate}</p> </a>
+			<a  id="gboahigh" href="javascript:phpWGOpenWindow('{$high.U_HIGH}','{$high.UUID}','scrollbars=yes,toolbar=no,status=no,resizable=yes')">
+			<p id="gbophigh">{'Click on the photo to see it in high definition'|@translate}</p></a>
 	 {/if}
-
-
-	
+{if  isset($LLGBOCSS)}	 
+ {combine_css  path=$LLGBO_PATH|@cat:"css/gbolook.css"} 
+ {/if}
+{if  isset($LLGBOTOOLTIP)}	 
+ {combine_script id='llgoSwtTooltip'   path=$LLGBO_PATH|@cat:"js/sweettitlesn1_comment.js"}
+{/if}